def nombre_tours(n):
    
    """
    Renvoie le nombre maximal de tours k d'une recherche dichotomique de
    l'index d'un élément présent dans un tableau trié de taille n.
    
    Paramètres :  n : de type entier.
    ------------
                    C'est la longueur de la liste triée où on cherche l'index.
                    
                    
    Renvoie :  k : de type entier.
    ---------
                 C'est le nombre maximal de tours de la recherche dichotomique.
                 
                 
    Exemples : 
        nombre_tours(1) renvoie 0
        nombre_tours(2) renvoie 1
        nombre_tours(3) renvoie 2
        nombre_tours(4) renvoie 2
        nombre_tours(5) renvoie 3
        nombre_tours(6) renvoie 3
        nombre_tours(7) renvoie 3
        nombre_tours(8) renvoie 3
        nombre_tours(9) renvoie 4
        nombre_tours(10) renvoie 4  
        ...
                    
    """


    k = 0
    
    while 2**k < n:
        k = k + 1
        
    return k


for i in range(1, 31):
    print(nombre_tours(i), end=" ")
    